import { HA_TOKEN, HA_URL } from "./config.js";

export type HA_RESPONSE = { state: string; attributes: Record<string, unknown> };

export async function get_state(entity: string): Promise<HA_RESPONSE> {
	const response = (await (
		await fetch(`${HA_URL}/api/states/${entity}`, {
			headers: {
				Authorization: `Bearer ${HA_TOKEN}`,
			},
		})
	).json()) as HA_RESPONSE;
	return response;
}
